com.google.appengine.api.files

## Enum AppEngineFile.FileSystem

- java.lang.Object
- - java.lang.Enum<AppEngineFile.FileSystem>
  - - com.google.appengine.api.files.AppEngineFile.FileSystem

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AppEngineFile.FileSystem>
  Enclosing class:
    AppEngineFile

      public static enum AppEngineFile.FileSystem
      extends java.lang.Enum<AppEngineFile.FileSystem>

  Represents the back-end storage location of a file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOBSTORE` This file system stores files as blobs in the App Engine BlobStore.
    `GS` This file system stores files in Google Storage.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AppEngineFile.FileSystem` | `fromName(java.lang.String name)` Returns the `FileSystem` with the given name.
    `java.lang.String` | `getName()` Returns the name of the file system.
    `static AppEngineFile.FileSystem` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AppEngineFile.FileSystem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOBSTORE

          public static final AppEngineFile.FileSystem BLOBSTORE

      This file system stores files as blobs in the App Engine BlobStore. The full path of a file from this file system is of the form `/blobstore/<identifier>` where `<identifier>` is an opaque String generated by the BlobStore.

    - #### GS

          public static final AppEngineFile.FileSystem GS

      This file system stores files in Google Storage. Files in this file system use one path for writing and one path for reading. The full path for a writable GS file is `/gs/<identifier>` where `<identifier>` is an opaque String generated by Google Storage. The full path for a readable GS file is `/gs/<bucket>/<key>` where `<bucket>` and `<key>` are user-specified names. See comments at the top of `FileService`.

  - ### Method Detail

    - #### values

          public static AppEngineFile.FileSystem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AppEngineFile.FileSystem c : AppEngineFile.FileSystem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AppEngineFile.FileSystem valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Returns the name of the file system.

    - #### fromName

          public static AppEngineFile.FileSystem fromName(java.lang.String name)

      Returns the `FileSystem` with the given name.
      Throws:
        `java.lang.IllegalArgumentException` - if the given name is not the name of any of the file systems.